API ReferenceapianalyticsPOST /v1/admin/features/refresh

POST /v1/admin/features/refresh

Service: analytics · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "brand_id": {
      "type": "string",
      "minLength": 1
    },
    "user_id": {
      "type": "string",
      "format": "uuid"
    },
    "names": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1
      },
      "minItems": 1
    }
  },
  "required": [
    "brand_id",
    "user_id",
    "names"
  ]
}

Responses

200 Features recomputed and cached

{
  "type": "object",
  "properties": {
    "features": {
      "type": "object",
      "additionalProperties": {
        "type": "object",
        "properties": {
          "value": {},
          "computed_at": {
            "type": "string",
            "format": "date-time"
          },
          "expires_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "computed_at",
          "expires_at"
        ]
      }
    }
  },
  "required": [
    "features"
  ]
}

400 Invalid request

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://analytics.platform.loop.health/v1/admin/features/refresh \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'